package com.union.ai.api.dao.mapper;

import com.union.ai.api.dao.model.ApiLog;
import com.union.ai.api.dao.model.ApiLogCondition;
import java.util.List;
import org.apache.ibatis.annotations.Param;

public interface ApiLogMapper {
    int countByCondition(ApiLogCondition example);

    int deleteByCondition(ApiLogCondition example);

    int deleteById(Integer apilogId);

    int insert(ApiLog record);

    int insertSelective(ApiLog record);

    List<ApiLog> selectByCondition(ApiLogCondition example);

    ApiLog selectById(Integer apilogId);

    int updateByConditionSelective(@Param("record") ApiLog record, @Param("example") ApiLogCondition example);

    int updateByCondition(@Param("record") ApiLog record, @Param("example") ApiLogCondition example);

    int updateByIdSelective(ApiLog record);

    int updateById(ApiLog record);

    int selectCountByAppIdAndApiId(@Param("appId") Integer appId, @Param("apiId") Integer apiId);
}